﻿using TMPro;
using UnityEngine;

/// <summary>
/// менеджер очков и всего, что с этим связанно
/// </summary>
public class ScoreManagerScript : MonoBehaviour
{
    // to do
    // добавить коментарии ко всему
    private TileManagerScript _tileManagerScript;

    private int _CurrentScore = 0;

    [SerializeField]
    private TextMeshPro _ScoreText;

    private void Awake()
    {
        _tileManagerScript = GameObject.FindGameObjectWithTag("Tile Manager").GetComponent<TileManagerScript>();

        if (_tileManagerScript != null)
        {
            _tileManagerScript.scoreManager = this;
        }
    }

    private void Start()
    {
        UppdateScore(_ScoreText); 
    }

    public void Increase()
    {
        _CurrentScore += 1;
        UppdateScore(_ScoreText);
    }

    private void UppdateScore(TextMeshPro text)
    {
        text.text = $"Счёт - {_CurrentScore}";
    }

    public void UpdatePos(GameObject tile)
    {
        _ScoreText.gameObject.transform.position = tile.transform.position;
    }
}
